Subject: [bug#60153] [PATCH v2 1/3] gnu: python-pygame: Update to 2.1.2.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 24 Dec 2022 06:51:07 +0100

Am Samstag, dem 24.12.2022 um 07:43 +0800 schrieb Adam Faiz:
> On 12/24/22 07:20, Adam Faiz wrote:
> > +               (("incdirs = \\[\\]") "incdirs = origincdirs")
> > +               (("libdirs = \\[\\]") "libdirs = origlibdirs")))) 
> I didn't do this kind of thing, because I didn't want to hardcode
> these. 
> Most systems that pygame supports want to stay with the defaults.
Here, "using the defaults" equates to having both origincdirs and
origlibdirs being empty, i.e. expanded from non-existing or empty
environment variables, right?  In that case, the build config will
still add the default /usr stuff – it just won't start out empty.

I feel as though we could do without this patch by supplying
PYGAME_EXTRA_BASE as a configure flag.  Wouldn't that be better than
patching?

Cheers